# HUD Manager

[![GitHub version](https://img.shields.io/github/v/release/xvitaly/hudman?sort=semver&color=brightgreen&logo=git&logoColor=white)](https://github.com/xvitaly/hudman/releases)
[![PyPi Version](https://img.shields.io/pypi/v/hudman.svg?logo=pypi&logoColor=white)](https://pypi.org/project/hudman/)
[![Python CI](https://github.com/xvitaly/hudman/actions/workflows/python.yaml/badge.svg)](https://github.com/xvitaly/hudman/actions/workflows/python.yaml)
[![CodeQL](https://github.com/xvitaly/hudman/actions/workflows/codeql.yml/badge.svg)](https://github.com/xvitaly/hudman/actions/workflows/codeql.yml)
[![AppVeyor CI status](https://ci.appveyor.com/api/projects/status/35yrms4i0thaw9vx?svg=true)](https://ci.appveyor.com/project/xvitaly/hudman)
[![Codacy](https://app.codacy.com/project/badge/Grade/7cd1055493b44164b38dd70c02d05870)](https://www.codacy.com/gh/xvitaly/hudman/dashboard)
[![CodeFactor](https://www.codefactor.io/repository/github/xvitaly/hudman/badge/master)](https://www.codefactor.io/repository/github/xvitaly/hudman/overview/master)
[![GitHub issues](https://img.shields.io/github/issues/xvitaly/hudman.svg?label=issues)](https://github.com/xvitaly/hudman/issues)
---

## About

HUD Manager is a simple tool for creating a local HUD mirror. Can be used with the [SRC Repair](https://github.com/xvitaly/srcrepair) project.

## License

GNU General Public License version 3. You can find it here: [LICENSE](LICENSE). External libraries can use another licenses, compatible with GNU GPLv3.

Icon for the Windows executable and installer from the [Noto Emoji](https://github.com/googlefonts/noto-emoji) font, licensed under the terms of the [Apache License 2.0](licenses/noto-emoji.LICENSE.txt).

## Requirements

  * Python 3.6+ with full set of standard libraries;
  * [python-defusedxml](https://github.com/tiran/defusedxml);
  * [python-requests](https://github.com/psf/requests).

## Documentation

Documentation available [here](docs/README.md).
